GET_OPTION(9)

NAME
get_option - Parse integer from an option string

SYNOPSIS

int get_option(char ** str, int * pint);

ARGUMENTS

str
    option string

pint
    (output) integer value parsed from str

DESCRIPTION

Read an int from an option string; if available accept a subsequent comma as well.

RETURN VALUES

0 - no int in string 1 - int found, no subsequent comma 2 - int found including a subsequent comma 3 - hyphen found to denote a range

COPYRIGHT